This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 434764 - F-9 pv_ops xen: update kudzu's xen console handling to use hvc
F-9 pv_ops xen: update kudzu's xen console handling to use hvc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On: 435368
Blocks: PvOpsTracker
  Show dependency treegraph
 
Reported: 2008-02-25 06:13 EST by Mark McLoughlin
Modified: 2014-03-16 23:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 23:50:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2008-02-25 06:13:34 EST
When running on Xen, kudzu is kind enough to set up a login prompt on Xen's
"xvc" console. However, with F-9 pv_ops based kernel-xen, Xen's console will now
be available as "hvc", so e.g. this needs to be updated:

  hwconf.c:147:                            !strncmp(dev->device, "xvc", 3)));
  keyboard.c:327:                fd = open("/dev/xvc0", O_RDONLY);
  keyboard.c:336:                    kbddev->device = strdup("xvc0");

There is already hvc handling, bug only on ppc.

(Note, not assigning to kudzu owner until we switch rawhide over. Latest scratch
build available from here:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=460974
)
Comment 1 Mark McLoughlin 2008-03-07 03:12:24 EST
Okay, pv_ops based kernel-xen-2.6-2.6.25-0.0.rc4.fc9 is in rawhide
Comment 2 Bill Nottingham 2008-03-10 23:50:39 EDT
Fixed in initscripts-8.65-1.

Note You need to log in before you can comment on or make changes to this bug.